<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript</title>

    <link rel="stylesheet" href="./css/actsTemplate.css">

    <script src="js/acts.js"></script>

</head>
<body>
    <div class="pain">
        <header>            
            <h1>Ejercicios sencillos JavaScript 1</h1>
            <p>Para volver a esta página, recarga la pestaña.</p>
        </header>

        <div class="cards">
            <div class="card" onclick="helloWorldAlert()"        ><h4>Actividad 1</h4><p>Escribe un programa de una sola línea que haga que aparezca en la pantalla un alert que diga “Hello World”.</p></div>
            <div class="card" onclick="helloWorldDocWrite()"      ><h4>Actividad 2</h4><p>Escribe un programa de una sola línea que escriba en la pantalla un texto que diga “Hello World” (document.write).</p></div>
            <div class="card" onclick="sumAndWrite()"            ><h4>Actividad 3</h4><p>Escribe un programa de una sola línea que escriba en la pantalla el resultado de sumar 3 + 5.</p></div>
            <div class="card" onclick="loginPrompt()"            ><h4>Actividad 4</h4><p>Escribe un programa de dos líneas que pida el nombre del usuario con un prompt y escriba un texto que diga “Hola nombreUsuario”</p></div>
            
            <div class="card" onclick="sumAndWriteAgain()"       ><h4>Actividad 5</h4><p>Escribe un programa de tres líneas que pida un número, pida otro número y escriba el resultado de sumar estos dos números.</p></div>
            <div class="card" onclick="whichNumbersBigger()"     ><h4>Actividad 6</h4><p>Escribe un programa que pida dos números y escriba en la pantalla cual es el mayor.</p></div>
            <div class="card" onclick="whichNumbersBiggerAGAIN()"><h4>Actividad 7</h4><p>Escribe un programa que pida 3 números y escriba en la pantalla el mayor de los tres.</p></div>
            <div class="card" onclick="divisibleByTwo()"         ><h4>Actividad 8</h4><p>Escribe un programa que pida un número y diga si es divisible por 2</p></div>

            <div class="card" onclick="divisibleByWhatever()"    ><h4>Actividad 9</h4><p>Escribe un programa que pida un número y nos diga si es divisible por 2, 3, 5 o 7 (sólo hay que comprobar si lo es por uno de los cuatro)</p></div>
            <div class="card" onclick="divisibleByWhateverAlt()" ><h4>Actividad 10</h4><p>Añadir al ejercicio anterior que nos diga por cual de los cuatro es divisible (hay que decir todos por los que es divisible)</p></div>
            <div class="card" onclick="iDontEvenKnow()"          ><h4>Actividad 11</h4><p>Escribir un programa que escriba en pantalla los divisores de un número dado</p><br><p>(no pongas una letra o numeros negativos que peta©)</p></div>
            <div class="card" onclick="iDontEvenKnowAlt()"       ><h4>Actividad 12</h4><p>Escribir un programa que escriba en pantalla los divisores comunes de dos números dados</p><br><p>(no pongas una letra o numeros negativos que peta©)</p></div>

            <div class="card" onclick="checkPrimeNumber()"       ><h4>Actividad 13</h4><p>Escribir un programa que nos diga si un número dado es primo (no es divisible por ninguno otro número que no sea él mismo o la unidad)</p></div>
            <div class="card" onclick="isOver18()"               ><h4>Actividad 14</h4><p>Pide la edad y si es mayor de 18 años indica que ya puede conducir.</p></div>
        </div>
    </div>

</body>
</html>